# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  
  config.vm.box = "debian/buster64"
  config.vm.define "bananas-k3s"
  config.vm.hostname = "bananas-k3s"

  config.vm.provider "virtualbox" do |v|
    v.memory = "1024"
    v.cpus = 1
  end

  config.vm.network "private_network", ip: "192.168.33.10"

  config.vm.provision "file", source: "./ansible", destination: "/$HOME/ansible"
  config.vm.provision "file", source: "./setup-ansible.sh", destination: "/$HOME/setup-ansible.sh"
  
  config.vm.provision "shell", inline: <<-SHELL
    chmod +x ./setup-ansible.sh
    sudo ./setup-ansible.sh
  SHELL
end
